import { OnModuleDestroy, OnModuleInit } from '@nestjs/common';
import { DataSource } from 'typeorm';
export declare class PrismaService implements OnModuleInit, OnModuleDestroy {
    private readonly dataSource;
    [key: string]: any;
    constructor(dataSource: DataSource);
    onModuleInit(): Promise<void>;
    onModuleDestroy(): Promise<void>;
}
